/*

  File LUvect.cpp:

  contains the definition of the member functions for the LUvect class.

*/


#include "LUvect.h"


/*

 LUvect(): class constructor

*/

LUvect::LUvect( int N )
{
  // The class variable dim is initialized to N
  dim = N;

  // Define the vector
  vect = new double [N];
}


/*

  setElement: set the i-th element of the vector to the given value

*/

void LUvect::setElement( int i, double v_i )
{
  if ( ( i > 0 ) && ( i <= dim ) )
    vect[i-1] = v_i;
}


/*

  getElement: return the value of i-th element of the vector

*/

double LUvect::getElement( int i )
{
  if ( ( i > 0 ) && ( i <= dim ) )
    return( vect[i-1] );
}
